## openscenegraph-3.4 3.4.0+dfsg1

=== examples/osggeometryshaders/CMakeLists.txt ===
SET(TARGET_SRC osggeometryshaders.cpp )
SETUP_EXAMPLE(osggeometryshaders)

=== examples/osggpucull/CMakeLists.txt ===
SET(TARGET_SRC 
  ShapeToGeometry.cpp
  DrawIndirectPrimitiveSet.cpp
  AggregateGeometryVisitor.cpp
  osggpucull.cpp
)

SET(TARGET_H
  ShapeToGeometry.h
  DrawIndirectPrimitiveSet.h
  AggregateGeometryVisitor.h
  GpuCullShaders.h
)

#### end var setup  ###
SETUP_EXAMPLE(osggpucull)

=== src/osg/CMakeLists.txt ===

# FIXME: For OS X, need flag for Framework or dylib
IF(DYNAMIC_OPENSCENEGRAPH)
    ADD_DEFINITIONS(-DOSG_LIBRARY)
ELSE()
    ADD_DEFINITIONS(-DOSG_LIBRARY_STATIC)
ENDIF()

SET(LIB_NAME osg)

#
# Enable workaround for OpenGL driver crash with occlusion query
#
OPTION(OSG_FORCE_QUERY_RESULT_AVAILABLE_BEFORE_RETRIEVAL "Set to ON to build OcclussionQueryNode with a workaround for multi-threaded OpenGL driver occlussion query crash. " OFF)
IF(OSG_FORCE_QUERY_RESULT_AVAILABLE_BEFORE_RETRIEVAL)
    ADD_DEFINITIONS(-DFORCE_QUERY_RESULT_AVAILABLE_BEFORE_RETRIEVAL)
ENDIF()


SET(HEADER_PATH ${OpenSceneGraph_SOURCE_DIR}/include/${LIB_NAME})
SET(TARGET_H
    ${HEADER_PATH}/AlphaFunc
    ${HEADER_PATH}/AnimationPath
    ${HEADER_PATH}/ApplicationUsage
    ${HEADER_PATH}/ArgumentParser
    ${HEADER_PATH}/Array
    ${HEADER_PATH}/ArrayDispatchers
    ${HEADER_PATH}/AudioStream
    ${HEADER_PATH}/AutoTransform
    ${HEADER_PATH}/Billboard
    ${HEADER_PATH}/BlendColor
    ${HEADER_PATH}/BlendEquation
    ${HEADER_PATH}/BlendEquationi
    ${HEADER_PATH}/BlendFunc
    ${HEADER_PATH}/BlendFunci
    ${HEADER_PATH}/BoundingBox
    ${HEADER_PATH}/BoundingSphere
    ${HEADER_PATH}/BoundsChecking
    ${HEADER_PATH}/buffered_value
    ${HEADER_PATH}/BufferIndexBinding
    ${HEADER_PATH}/BufferObject
    ${HEADER_PATH}/BufferTemplate
    ${HEADER_PATH}/Callback
    ${HEADER_PATH}/Camera
    ${HEADER_PATH}/CameraView
    ${HEADER_PATH}/Capability
    ${HEADER_PATH}/ClampColor
    ${HEADER_PATH}/ClearNode
    ${HEADER_PATH}/ClipControl
    ${HEADER_PATH}/ClipNode
    ${HEADER_PATH}/ClipPlane
    ${HEADER_PATH}/ClusterCullingCallback
    ${HEADER_PATH}/CollectOccludersVisitor
    ${HEADER_PATH}/ColorMask
    ${HEADER_PATH}/ColorMaski
    ${HEADER_PATH}/ColorMatrix
    ${HEADER_PATH}/ComputeBoundsVisitor
    ${HEADER_PATH}/ConvexPlanarOccluder
    ${HEADER_PATH}/ConvexPlanarPolygon
    ${HEADER_PATH}/CoordinateSystemNode
    ${HEADER_PATH}/CopyOp
    ${HEADER_PATH}/CullFace
    ${HEADER_PATH}/CullingSet
    ${HEADER_PATH}/CullSettings
    ${HEADER_PATH}/CullStack
    ${HEADER_PATH}/DeleteHandler
    ${HEADER_PATH}/Depth
    ${HEADER_PATH}/DisplaySettings
    ${HEADER_PATH}/Drawable
    ${HEADER_PATH}/DrawPixels
    ${HEADER_PATH}/Endian
    ${HEADER_PATH}/Export
    ${HEADER_PATH}/fast_back_stack
    ${HEADER_PATH}/Fog
    ${HEADER_PATH}/FragmentProgram
    ${HEADER_PATH}/FrameBufferObject
    ${HEADER_PATH}/FrameStamp
    ${HEADER_PATH}/FrontFace
    ${HEADER_PATH}/Geode
    ${HEADER_PATH}/Geometry
    ${HEADER_PATH}/GL2Extensions
    ${HEADER_PATH}/GLDefines
    ${HEADER_PATH}/GLExtensions
    ${HEADER_PATH}/GLBeginEndAdapter
    ${HEADER_PATH}/GLObjects
    ${HEADER_PATH}/GLU
    ${HEADER_PATH}/GraphicsCostEstimator
    ${HEADER_PATH}/GraphicsContext
    ${HEADER_PATH}/GraphicsThread
    ${HEADER_PATH}/Group
    ${HEADER_PATH}/Hint
    ${HEADER_PATH}/Image
    ${HEADER_PATH}/ImageSequence
    ${HEADER_PATH}/ImageStream
    ${HEADER_PATH}/ImageUtils
    ${HEADER_PATH}/io_utils
    ${HEADER_PATH}/KdTree
    ${HEADER_PATH}/Light
    ${HEADER_PATH}/LightModel
    ${HEADER_PATH}/LightSource
    ${HEADER_PATH}/LineSegment
    ${HEADER_PATH}/LineStipple
    ${HEADER_PATH}/LineWidth
    ${HEADER_PATH}/LOD
    ${HEADER_PATH}/LogicOp
    ${HEADER_PATH}/Material
    ${HEADER_PATH}/Math
    ${HEADER_PATH}/Matrix
    ${HEADER_PATH}/Matrixd
    ${HEADER_PATH}/Matrixf
    ${HEADER_PATH}/MatrixTransform
    ${HEADER_PATH}/MixinVector
    ${HEADER_PATH}/Multisample
    ${HEADER_PATH}/Node
    ${HEADER_PATH}/NodeCallback
    ${HEADER_PATH}/NodeTrackerCallback
    ${HEADER_PATH}/NodeVisitor
    ${HEADER_PATH}/Notify
    ${HEADER_PATH}/Object
    ${HEADER_PATH}/observer_ptr
    ${HEADER_PATH}/Observer
    ${HEADER_PATH}/ObserverNodePath
    ${HEADER_PATH}/OccluderNode
    ${HEADER_PATH}/OcclusionQueryNode
    ${HEADER_PATH}/OperationThread
    ${HEADER_PATH}/PatchParameter
    ${HEADER_PATH}/PagedLOD
    ${HEADER_PATH}/Plane
    ${HEADER_PATH}/Point
    ${HEADER_PATH}/PointSprite
    ${HEADER_PATH}/PolygonMode
    ${HEADER_PATH}/PolygonOffset
    ${HEADER_PATH}/PolygonStipple
    ${HEADER_PATH}/Polytope
    ${HEADER_PATH}/PositionAttitudeTransform
    ${HEADER_PATH}/PrimitiveSet
    ${HEADER_PATH}/PrimitiveRestartIndex
    ${HEADER_PATH}/Program
    ${HEADER_PATH}/Projection
    ${HEADER_PATH}/ProxyNode
    ${HEADER_PATH}/Quat
    ${HEADER_PATH}/Referenced
    ${HEADER_PATH}/ref_ptr
    ${HEADER_PATH}/RenderInfo
    ${HEADER_PATH}/SampleMaski
    ${HEADER_PATH}/Scissor
    ${HEADER_PATH}/ScriptEngine
    ${HEADER_PATH}/Sequence
    ${HEADER_PATH}/ShadeModel
    ${HEADER_PATH}/Shader
    ${HEADER_PATH}/ShaderAttribute
    ${HEADER_PATH}/ShaderComposer
    ${HEADER_PATH}/ShadowVolumeOccluder
    ${HEADER_PATH}/Shape
    ${HEADER_PATH}/ShapeDrawable
    ${HEADER_PATH}/State
    ${HEADER_PATH}/StateAttribute
    ${HEADER_PATH}/StateAttributeCallback
    ${HEADER_PATH}/StateSet
    ${HEADER_PATH}/Stats
    ${HEADER_PATH}/Stencil
    ${HEADER_PATH}/StencilTwoSided
    ${HEADER_PATH}/Switch
    ${HEADER_PATH}/TemplatePrimitiveFunctor
    ${HEADER_PATH}/TexEnv
    ${HEADER_PATH}/TexEnvCombine
    ${HEADER_PATH}/TexEnvFilter
    ${HEADER_PATH}/TexGen
    ${HEADER_PATH}/TexGenNode
    ${HEADER_PATH}/TexMat
    ${HEADER_PATH}/Texture
    ${HEADER_PATH}/Texture1D
    ${HEADER_PATH}/Texture2D
    ${HEADER_PATH}/Texture2DMultisample
    ${HEADER_PATH}/Texture2DArray
    ${HEADER_PATH}/Texture3D
    ${HEADER_PATH}/TextureBuffer
    ${HEADER_PATH}/TextureCubeMap
    ${HEADER_PATH}/TextureRectangle
    ${HEADER_PATH}/Timer
    ${HEADER_PATH}/TransferFunction
    ${HEADER_PATH}/Transform
    ${HEADER_PATH}/TriangleFunctor
    ${HEADER_PATH}/TriangleIndexFunctor
    ${HEADER_PATH}/Types
    ${HEADER_PATH}/Uniform
    ${HEADER_PATH}/UserDataContainer
    ${HEADER_PATH}/ValueObject
    ${HEADER_PATH}/Vec2
    ${HEADER_PATH}/Vec2b
    ${HEADER_PATH}/Vec2d
    ${HEADER_PATH}/Vec2f
    ${HEADER_PATH}/Vec2i
    ${HEADER_PATH}/Vec2s
    ${HEADER_PATH}/Vec2ub
    ${HEADER_PATH}/Vec2ui
    ${HEADER_PATH}/Vec2us
    ${HEADER_PATH}/Vec3
    ${HEADER_PATH}/Vec3b
    ${HEADER_PATH}/Vec3d
    ${HEADER_PATH}/Vec3f
    ${HEADER_PATH}/Vec3i
    ${HEADER_PATH}/Vec3s
    ${HEADER_PATH}/Vec3ub
    ${HEADER_PATH}/Vec3ui
    ${HEADER_PATH}/Vec3us
    ${HEADER_PATH}/Vec4
    ${HEADER_PATH}/Vec4b
    ${HEADER_PATH}/Vec4d
    ${HEADER_PATH}/Vec4f
    ${HEADER_PATH}/Vec4i
    ${HEADER_PATH}/Vec4s
    ${HEADER_PATH}/Vec4ub
    ${HEADER_PATH}/Vec4ui
    ${HEADER_PATH}/Vec4us
    ${HEADER_PATH}/VertexAttribDivisor
    ${HEADER_PATH}/VertexProgram
    ${HEADER_PATH}/View
    ${HEADER_PATH}/Viewport
    ${OPENSCENEGRAPH_VERSION_HEADER}
    ${OPENSCENEGRAPH_CONFIG_HEADER}
    ${OPENSCENEGRAPH_OPENGL_HEADER}
)

#ADD_LIBRARY(${LIB_NAME}
#    ${OPENSCENEGRAPH_USER_DEFINED_DYNAMIC_OR_STATIC}
#    ${LIB_PUBLIC_HEADERS}
SET(TARGET_SRC
    AlphaFunc.cpp
    AnimationPath.cpp
    ApplicationUsage.cpp
    ArgumentParser.cpp
    Array.cpp
    ArrayDispatchers.cpp
    AudioStream.cpp
    AutoTransform.cpp
    Billboard.cpp
    BlendColor.cpp
    BlendEquation.cpp
    BlendEquationi.cpp
    BlendFunc.cpp
    BlendFunci.cpp
    BufferIndexBinding.cpp
    BufferObject.cpp
    Callback.cpp
    Capability.cpp
    Camera.cpp
    CameraView.cpp
    ClampColor.cpp
    ClearNode.cpp
    ClipControl.cpp
    ClipNode.cpp
    ClipPlane.cpp
    ClusterCullingCallback.cpp
    CollectOccludersVisitor.cpp
    ColorMask.cpp
    ColorMaski.cpp
    ColorMatrix.cpp
    ComputeBoundsVisitor.cpp
    ConvexPlanarOccluder.cpp
    ConvexPlanarPolygon.cpp
    CoordinateSystemNode.cpp
    CopyOp.cpp
    CullFace.cpp
    CullingSet.cpp
    CullSettings.cpp
    CullStack.cpp
    DeleteHandler.cpp
    Depth.cpp
    DisplaySettings.cpp
    Drawable.cpp
    DrawPixels.cpp
    dxtctool.cpp
    dxtctool.h
    Fog.cpp
    FragmentProgram.cpp
    FrameBufferObject.cpp
    FrameStamp.cpp
    FrontFace.cpp
    Geode.cpp
    Geometry.cpp
    GLExtensions.cpp
    GLBeginEndAdapter.cpp
    GLObjects.cpp
    GLStaticLibrary.h
    GLStaticLibrary.cpp
    GraphicsCostEstimator.cpp
    GraphicsContext.cpp
    GraphicsThread.cpp
    Group.cpp
    Hint.cpp
    Image.cpp
    ImageSequence.cpp
    ImageStream.cpp
    ImageUtils.cpp
    KdTree.cpp
    Light.cpp
    LightModel.cpp
    LightSource.cpp
    LineSegment.cpp
    LineStipple.cpp
    LineWidth.cpp
    LOD.cpp
    LogicOp.cpp
    Material.cpp
    Math.cpp
    Matrixd.cpp
    MatrixDecomposition.cpp
    Matrixf.cpp
    # We don't build this one
    #    Matrix_implementation.cpp
    MatrixTransform.cpp
    Multisample.cpp
    Node.cpp
    NodeTrackerCallback.cpp
    NodeVisitor.cpp
    Notify.cpp
    Object.cpp
    Observer.cpp
    ObserverNodePath.cpp
    OccluderNode.cpp
    OcclusionQueryNode.cpp
    OperationThread.cpp
    PatchParameter.cpp
    PagedLOD.cpp
    Point.cpp
    PointSprite.cpp
    PolygonMode.cpp
    PolygonOffset.cpp
    PolygonStipple.cpp
    PositionAttitudeTransform.cpp
    PrimitiveSet.cpp
    PrimitiveRestartIndex.cpp
    Program.cpp
    Projection.cpp
    ProxyNode.cpp
    Quat.cpp
    Referenced.cpp
    SampleMaski.cpp
    Scissor.cpp
    ScriptEngine.cpp
    Sequence.cpp
    ShadeModel.cpp
    Shader.cpp
    ShaderAttribute.cpp
    ShaderComposer.cpp
    ShadowVolumeOccluder.cpp
    Shape.cpp
    ShapeDrawable.cpp
    StateAttribute.cpp
    State.cpp
    StateSet.cpp
    Stats.cpp
    Stencil.cpp
    StencilTwoSided.cpp
    Switch.cpp
    TexEnvCombine.cpp
    TexEnv.cpp
    TexEnvFilter.cpp
    TexGen.cpp
    TexGenNode.cpp
    TexMat.cpp
    Texture1D.cpp
    Texture2DArray.cpp
    Texture2D.cpp
    Texture2DMultisample.cpp
    Texture3D.cpp
    Texture.cpp
    TextureBuffer.cpp
    TextureCubeMap.cpp
    TextureRectangle.cpp
    Timer.cpp
    TransferFunction.cpp
    Transform.cpp
    Uniform.cpp
    UserDataContainer.cpp
    Version.cpp
    VertexAttribDivisor.cpp
    VertexProgram.cpp
    View.cpp
    Viewport.cpp

    glu/libutil/error.cpp
    glu/libutil/mipmap.cpp

    glu/libtess/normal.cpp
    glu/libtess/memalloc.cpp
    glu/libtess/dict-list.h
    glu/libtess/alg-outline
    glu/libtess/priorityq.cpp
    glu/libtess/normal.h
    glu/libtess/dict.h
    glu/libtess/render.cpp
    glu/libtess/tessmono.h
    glu/libtess/mesh.cpp
    glu/libtess/render.h
    glu/libtess/tessmono.cpp
    glu/libtess/priorityq.h
    glu/libtess/sweep.h
    glu/libtess/priorityq-sort.h
    glu/libtess/sweep.cpp
    glu/libtess/tess.h
    glu/libtess/geom.h
    glu/libtess/memalloc.h
    glu/libtess/dict.cpp
    glu/libtess/priorityq-heap.h
    glu/libtess/geom.cpp
    glu/libtess/tess.cpp
    glu/libtess/mesh.h


    ${OPENSCENEGRAPH_VERSIONINFO_RC}
)
SET(TARGET_LIBRARIES OpenThreads)

SET(TARGET_EXTERNAL_LIBRARIES
    ${CMAKE_THREAD_LIBS_INIT}
    ${MATH_LIBRARY}
    ${RT_LIBRARY}
    ${DL_LIBRARY}
)

#LINK_INTERNAL(${LIB_NAME}
#    OpenThreads
#)
#LINK_EXTERNAL(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT}    ${MATH_LIBRARY} ${RT_LIBRARY} ${DL_LIBRARY})
#LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY} ${RT_LIBRARY} )

#INCLUDE(ModuleInstall OPTIONAL)

SETUP_LIBRARY(${LIB_NAME})

=== src/osgPlugins/dae/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${COLLADA_INCLUDE_DIR} ${COLLADA_INCLUDE_DIR}/1.4)

SET(TARGET_SRC
    daeReader.cpp
    daeRAnimations.cpp
    daeRGeometry.cpp
    daeRMaterials.cpp
    daeRSceneObjects.cpp
    daeRSkinning.cpp
    daeRTransforms.cpp
    daeWAnimations.cpp
    daeWGeometry.cpp
    daeWMaterials.cpp
    daeWriter.cpp
    daeWSceneObjects.cpp
    daeWTransforms.cpp
    domSourceReader.cpp
    ReaderWriterDAE.cpp
)

SET(TARGET_H
    daeReader.h
    daeWriter.h
    domSourceReader.h
    ReaderWriterDAE.h
)


IF(COLLADA_DYNAMIC_LIBRARY AND COLLADA_STATIC_LIBRARY)
    OPTION(COLLADA_USE_STATIC "Set to ON to build OpenSceneGraph with static Collada support." OFF)
ELSEIF(COLLADA_STATIC_LIBRARY)
    SET(COLLADA_USE_STATIC "YES")
ELSE()
    SET(COLLADA_USE_STATIC "NO")
ENDIF()

ADD_DEFINITIONS(-DNO_BOOST)
ADD_DEFINITIONS(-DCOLLADA_DOM_SUPPORT141)

IF (COLLADA_DOM_2_4_OR_LATER)
    ADD_DEFINITIONS(-DCOLLADA_DOM_2_4_OR_LATER)
ENDIF()

IF(COLLADA_USE_STATIC)
    IF(WIN32)
        ADD_DEFINITIONS(-DBOOST_ALL_NO_LIB)
        SET(TARGET_LIBRARIES_VARS
            COLLADA_STATIC_LIBRARY
            COLLADA_LIBXML_LIBRARY
            COLLADA_ZLIB_LIBRARY
            COLLADA_PCRECPP_LIBRARY
            COLLADA_PCRE_LIBRARY
            COLLADA_MINIZIP_LIBRARY
            COLLADA_BOOST_FILESYSTEM_LIBRARY
            COLLADA_BOOST_SYSTEM_LIBRARY)
    ELSE()
        SET(TARGET_LIBRARIES_VARS
            COLLADA_STATIC_LIBRARY
            COLLADA_LIBXML_LIBRARY
            COLLADA_PCRECPP_LIBRARY
            COLLADA_PCRE_LIBRARY
            COLLADA_BOOST_FILESYSTEM_LIBRARY
            COLLADA_BOOST_SYSTEM_LIBRARY)
    ENDIF()
ELSE()
    IF(WIN32)
        ADD_DEFINITIONS(-DDOM_DYNAMIC)
        SET(TARGET_LIBRARIES_VARS COLLADA_DYNAMIC_LIBRARY)
    ELSE()
        SET(TARGET_LIBRARIES_VARS
                    COLLADA_DYNAMIC_LIBRARY
                    COLLADA_BOOST_FILESYSTEM_LIBRARY)
    ENDIF()

ENDIF()

SET(TARGET_ADDED_LIBRARIES osgSim osgAnimation)

#### end var setup  ###
SETUP_PLUGIN(dae dae)

=== src/osgPlugins/gif/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${GIFLIB_INCLUDE_DIR} )

SET(TARGET_SRC ReaderWriterGIF.cpp )
SET(TARGET_LIBRARIES_VARS GIFLIB_LIBRARY )
#### end var setup  ###
SETUP_PLUGIN(gif)

IF(MSVC)
    SET_TARGET_PROPERTIES("${TARGET_DEFAULT_PREFIX}${TARGET_NAME}" PROPERTIES LINK_FLAGS_DEBUG "/NODEFAULTLIB:MSVCRT")
ENDIF()

=== src/osgPlugins/lua/CMakeLists.txt ===
SET(TARGET_H
    LuaScriptEngine.h
)
SET(TARGET_SRC
    LuaScriptEngine.cpp
    ReaderWriterLua.cpp
)

IF (OSG_USE_LOCAL_LUA_SOURCE)

  IF( CMAKE_SYSTEM MATCHES "Linux" )
    ADD_DEFINITIONS(-DLUA_USE_LINUX)
  ELSEIF(APPLE)
    ADD_DEFINITIONS(-DLUA_USE_MACOSX)
  ENDIF()

  SET(LUA_SRC_DIR lua-5.2.3/src)
  SET(LUA_INCLUDE_DIR ${LUA_SRC_DIR})

  SET(LUA_CORE_SRC
    ${LUA_SRC_DIR}/lapi.c
    ${LUA_SRC_DIR}/lcode.c
    ${LUA_SRC_DIR}/lctype.c
    ${LUA_SRC_DIR}/ldebug.c
    ${LUA_SRC_DIR}/ldo.c
    ${LUA_SRC_DIR}/ldump.c
    ${LUA_SRC_DIR}/lfunc.c
    ${LUA_SRC_DIR}/lgc.c
    ${LUA_SRC_DIR}/llex.c
    ${LUA_SRC_DIR}/lmem.c
    ${LUA_SRC_DIR}/lobject.c
    ${LUA_SRC_DIR}/lopcodes.c
    ${LUA_SRC_DIR}/lparser.c
    ${LUA_SRC_DIR}/lstate.c
    ${LUA_SRC_DIR}/lstring.c
    ${LUA_SRC_DIR}/ltable.c
    ${LUA_SRC_DIR}/ltm.c
    ${LUA_SRC_DIR}/lundump.c
    ${LUA_SRC_DIR}/lvm.c
    ${LUA_SRC_DIR}/lzio.c
  )

  SET(LUA_LIB_SRC
    ${LUA_SRC_DIR}/lauxlib.c
    ${LUA_SRC_DIR}/lbaselib.c
    ${LUA_SRC_DIR}/lbitlib.c
    ${LUA_SRC_DIR}/lcorolib.c
    ${LUA_SRC_DIR}/ldblib.c
    ${LUA_SRC_DIR}/liolib.c
    ${LUA_SRC_DIR}/lmathlib.c
    ${LUA_SRC_DIR}/loslib.c
    ${LUA_SRC_DIR}/lstrlib.c
    ${LUA_SRC_DIR}/ltablib.c
    ${LUA_SRC_DIR}/loadlib.c
    ${LUA_SRC_DIR}/linit.c
  )

  SET(TARGET_SRC ${TARGET_SRC} ${LUA_CORE_SRC} ${LUA_LIB_SRC})
  SET(TARGET_H ${TARGET_H} ${LUA_H})
  INCLUDE_DIRECTORIES(${LUA_INCLUDE_DIR} )

ELSE()
  SET(TARGET_EXTERNAL_LIBRARIES ${TARGET_EXTERNAL_LIBRARIES} ${LUA_LIBRARY})
  INCLUDE_DIRECTORIES(${LUA_INCLUDE_DIR} )
ENDIF()


#### end var setup  ###
SETUP_PLUGIN(lua)

## openscenegraph-3.4 3.4.0%2Bdfsg1

=== debian/changelog ===
openscenegraph-3.4 (3.4.0+dfsg1-4) unstable; urgency=medium

  * Paperbag release: some more char errors were left on the sources.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 23 Sep 2016 21:17:22 +0200

openscenegraph-3.4 (3.4.0+dfsg1-3) unstable; urgency=medium

  * Fixed FTBFS on platforms where the default is unsigned char.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 23 Sep 2016 16:42:14 +0200

openscenegraph-3.4 (3.4.0+dfsg1-2) unstable; urgency=medium

  * Added Ubuntu patches for building on armhf.
    Thanks to Ubuntu Developers
  * Occlusion query stuttering fix from upstream.
    Thanks to Bret Curtis

 -- Alberto Luaces Fernández <aluaces@udc.es>  Wed, 21 Sep 2016 21:06:44 +0200

openscenegraph-3.4 (3.4.0+dfsg1-1) experimental; urgency=medium

  [ Alberto Luaces Fernández ]
  * Initial release (Closes: #820014)

  [ Manuel A. Fernandez Montecelo ]
  * Minor updates to debian/ files

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 18 May 2016 18:24:10 +0100

=== debian/control ===
Source: openscenegraph-3.4
Section: devel
Priority: optional
Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.16.1~),
               cmake,
               g++ (>= 3.3.0),
               ccache,
               doxygen,
               libgif-dev,
               libjpeg-dev,
               libtiff-dev,
               lib3ds-dev,
               libfreetype6-dev,
               libpng-dev,
               libcoin80-dev,
               libgdal-dev,
               libx11-dev,
               libxmu-dev,
               freeglut3-dev [!armhf],
               libgl1-mesa-dev [!armhf] | libgl-dev [!armhf],
               libegl1-mesa-dev [armhf],
               libgles2-mesa-dev [armhf],
               libxine2-dev,
               libavcodec-dev,
               libswscale-dev,
               libavdevice-dev,
               libavresample-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               librsvg2-dev,
               libpoppler-glib-dev,
               liblua5.2-dev,
               libopenthreads-dev
Standards-Version: 3.9.8
Homepage: http://www.openscenegraph.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-osg/openscenegraph-3.4.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-osg/openscenegraph-3.4.git

Package: libopenscenegraph-3.4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenthreads-dev,
         libgl1-mesa-dev [!armhf] | libgl-dev [!armhf],
         libgles2-mesa-dev [armhf],
         libglu-dev,
         libopenscenegraph-3.4-130 (= ${binary:Version})
Suggests: openscenegraph-doc,
          openscenegraph-examples
Conflicts: libopenscenegraph-dev
Description: 3D scene graph, development files
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the development headers.

Package: libopenscenegraph-3.4-130
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D scene graph, shared libs
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the shared libraries.

Package: openscenegraph-3.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: 3D scene graph, documentation
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the documentation.

Package: openscenegraph-3.4
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: openscenegraph
Description: 3D scene graph, utilities and examples (binaries)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains utilities and examples (binaries).

Package: openscenegraph-3.4-examples
Architecture: all
Depends: ${misc:Depends}
Conflicts: openscenegraph-examples
Description: 3D scene graph, examples (sources)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains examples (sources).

=== debian/rules ===
#!/usr/bin/make -f
# # Sample debian/rules that uses debhelper.
# # GNU copyright 1997 to 1999 by Joey Hess.
# #
# # Build comments:
# #  About 3.2 GB is needed on disc.
# #  orig sources are created by
# #    mkdir openscenegraph-xxx.orig
# #    cd openscenegraph-xxx.orig
# #    unzip OpenSceneGraph-xxx.zip
# #    mv OpenSceneGraph-xxx OpenSceneGraph
# #    cd ..
# #    cp -a openscenegraph-xxx.orig openscenegraph-xxx
# #    cd openscenegraph-xxx
# #    cp -a ../openscenegraph-yyy/debian .
# 
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# At the moment, CMake discards CPPFLAGS, so we have to add its value
# to C{,XX}FLAGS variables

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh  $@

# Use override_dh_* targets to customize this.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
# Default to g++
CXX ?= g++

# Detect parallel builds.
ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS = $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    PARALLEL_OPTIONS = -j$(PARALLEL_JOBS)
endif

define SETAFFINITY
	grep 'sched_setaffinity.*cpusetsize' /usr/include/sched.h > /dev/null || export COMPILE_USING_TWO_PARAM_sched_setaffinity=-DCOMPILE_USING_TWO_PARAM_sched_setaffinity ; 
endef

ifeq (hppa,$(DEB_BUILD_ARCH))
ARCH_C_FLAGS=-mlong-calls
ARCH_CXX_FLAGS=${ARCH_C_FLAGS}
endif

CFLAGS := ${CFLAGS} ${ARCH_C_FLAGS}
CXXFLAGS := ${CXXFLAGS} ${ARCH_CXX_FLAGS}

LDFLAGS += -Wl,--as-needed

ifeq (armhf,$(DEB_HOST_ARCH))
EGL_LDFLAGS=$(shell pkg-config egl --libs)
OPENGLES_LDFLAGS=$(shell pkg-config glesv2 --libs)
ARMHF_DEFINES=-D OSG_GL1_AVAILABLE:BOOL=OFF \
	-D OSG_GL2_AVAILABLE:BOOL=OFF \
	-D OSG_GL3_AVAILABLE:BOOL=OFF \
	-D OSG_GLES1_AVAILABLE:BOOL=OFF \
	-D OSG_GLES2_AVAILABLE:BOOL=ON \
	-D OSG_GL_DISPLAYLISTS_AVAILABLE:BOOL=OFF \
	-D OSG_GL_MATRICES_AVAILABLE:BOOL=OFF \
	-D OSG_GL_VERTEX_FUNCS_AVAILABLE:BOOL=OFF \
	-D OSG_GL_VERTEX_ARRAY_FUNCS_AVAILABLE:BOOL=OFF \
	-D OSG_GL_FIXED_FUNCTION_AVAILABLE:BOOL=OFF \
	-D OSG_CPP_EXCEPTIONS_AVAILABLE:BOOL=OFF \
	-D OPENGL_gl_LIBRARY:STRING="${OPENGLES_LDFLAGS}" \
	-D OPENGL_egl_LIBRARY:STRING="${EGL_LDFLAGS}"
endif

#
# Shared libraries version numbers
#
# OpenSceneGraph/OpenThreads/Producer 0.9.8
#
#OPENSCENEGRAPH_SOVERSION=0
#
# OpenSceneGraph/OpenThreads/Producer 0.9.9
#
#OPENSCENEGRAPH_SOVERSION=1
#
# OpenSceneGraph/OpenThreads/Producer 1.0
#
#OPENSCENEGRAPH_SOVERSION=2
#
# OpenSceneGraph/OpenThreads/Producer 1.1
#
#OPENSCENEGRAPH_SOVERSION=3
#
# OpenSceneGraph/OpenThreads/Producer 1.2
#
#OPENSCENEGRAPH_SOVERSION=4
#
# OpenSceneGraph-1.9.1/OpenThreads-1.9.3 overriden with
# OpenSceneGraph-1.9.3, OpenSceneGraph-1.9.4, OpenSceneGraph-1.9.5, OpenSceneGraph-1.9.7 and
# OpenSceneGraph-2.0.0
#
#OPENSCENEGRAPH_SOVERSION=5
#
# OpenSceneGraph 2.2.0
#
#
#OPENSCENEGRAPH_SOVERSION=6
#
# OpenSceneGraph 2.4.0
#
#OPENSCENEGRAPH_SOVERSION=7
#OSG_VERSION=2.4.0
#
# OpenSceneGraph 2.6.1
#
#OPENSCENEGRAPH_SOVERSION=48
#OSG_VERSION=2.6.1
#
# OpenSceneGraph 2.8.0
#
#OPENSCENEGRAPH_SOVERSION=55
#OSG_VERSION=2.8.0
#
# OpenSceneGraph 2.8.1 and .2
#
#OPENTHREADS_SOVERSION=12
#OPENSCENEGRAPH_SOVERSION=56
#
# OpenSceneGraph 2.8.3
# OPENTHREADS_SOVERSION=13
# OPENSCENEGRAPH_SOVERSION=65
#
# OpenSceneGraph 2.9.10
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=68
#
# OpenSceneGraph 2.9.11
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=71
#
# OpenSceneGraph 2.9.13
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=73
#
# OpenSceneGraph 2.9.14
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=75
#
# OpenSceneGraph 2.9.16
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=77
#
# OpenSceneGraph 3.0.0
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=80
#
# OpenSceneGraph 3.2.0
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=99
#
# OpenSceneGraph 3.2.1
# OPENTHREADS_SOVERSION=20
# OPENSCENEGRAPH_SOVERSION=100
#
# OpenSceneGraph 3.4.0
OPENTHREADS_SOVERSION=20
OPENSCENEGRAPH_SOVERSION=130

GRAB_VERSION_COMMAND := sed -n '1s~[^(]*(\(.*\)-.*).*~\1~p' debian/changelog | sed  's~+dfsg.*~~'
VERSION := $(shell $(GRAB_VERSION_COMMAND))
TARBALL_NAME := OpenSceneGraph-$(VERSION).tar.gz

get-orig-source:
	dh_testdir
	wget --directory-prefix=.. https://github.com/openscenegraph/OpenSceneGraph/archive/$(TARBALL_NAME)

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	rm -fr build
	rm -f ${MANPAGES} 
	rm -fr html
	rm -f doxygen_sqlite3.db

	dh_clean 

MANPAGES = \
	${MANAPPLICATIONS} \
	${MANEXAMPLES}

MANAPPLICATIONS = \
	osgviewer.1 \
	osgconv.1 \
	osgversion.1 \
	osgfilecache.1 \
	osgarchive.1

MANEXAMPLES = \
	osg2cpp.1 \
	osganimate.1 \
	osganimationhardware.1 \
	osganimationmakepath.1 \
	osganimationnode.1 \
	osganimationskinning.1 \
	osganimationsolid.1 \
	osganimationtimeline.1 \
	osganimationviewer.1 \
	osgautocapture.1 \
	osgautotransform.1 \
	osgbillboard.1 \
	osgblendequation.1 \
	osgbrowser.1 \
	osgcallback.1 \
	osgcamera.1 \
	osgcatch.1 \
	osgclip.1 \
	osgcluster.1 \
	osgcompositeviewer.1 \
	osgcopy.1 \
	osgcubemap.1 \
	osgdelaunay.1 \
	osgdepthpartition.1 \
	osgdepthpeeling.1 \
	osgdistortion.1 \
	osgdrawinstanced.1 \
	osgfadetext.1 \
	osgfilecache.1 \
	osgfont.1 \
	osgforest.1 \
	osgfxbrowser.1 \
	osggameoflife.1 \
	osggeometry.1 \
	osggeometryshaders.1 \
	osghangglide.1 \
	osghud.1 \
	osgimagesequence.1 \
	osgimpostor.1 \
	osgintersection.1 \
	osgkdtree.1 \
	osgkeyboard.1 \
	osgkeyboardmouse.1 \
	osglauncher.1 \
	osglight.1 \
	osglightpoint.1 \
	osglogicop.1 \
	osglogo.1 \
	osgmanipulator.1 \
	osgmemorytest.1 \
	osgmotionblur.1 \
	osgmovie.1 \
	osgmultiplerendertargets.1 \
	osgmultitexture.1 \
	osgmultitexturecontrol.1 \
	osgoccluder.1 \
	osgocclusionquery.1 \
	osgpackeddepthstencil.1 \
	osgpagedlod.1 \
	osgparametric.1 \
	osgparticle.1 \
	osgparticleeffects.1 \
	osgpdf.1 \
	osgphotoalbum.1 \
	osgpick.1 \
	osgplanets.1 \
	osgpoints.1 \
	osgpointsprite.1 \
	osgprecipitation.1 \
	osgprerender.1 \
	osgprerendercubemap.1 \
	osgreflect.1 \
	osgrobot.1 \
	osgscalarbar.1 \
	osgscreencapture.1 \
	osgscribe.1 \
	osgsequence.1 \
	osgshaders.1 \
	osgshaderterrain.1 \
	osgshadow.1 \
	osgshape.1 \
	osgsharedarray.1 \
	osgsidebyside.1 \
	osgsimplifier.1 \
	osgsimulation.1 \
	osgslice.1 \
	osgspacewarp.1 \
	osgspheresegment.1 \
	osgspotlight.1 \
	osgstereoimage.1 \
	osgstereomatch.1 \
	osgteapot.1 \
	osgterrain.1 \
	osgtessellate.1 \
	osgtext.1 \
	osgtext3D.1 \
	osgtexture1D.1 \
	osgtexture2D.1 \
	osgtexture3D.1 \
	osgtexturerectangle.1 \
	osgthirdpersonview.1 \
	osgunittests.1 \
	osgvertexprogram.1 \
	osgviewerGLUT.1 \
	osgvolume.1 \
	osgwidgetaddremove.1 \
	osgwidgetbox.1 \
	osgwidgetcanvas.1 \
	osgwidgetframe.1 \
	osgwidgetinput.1 \
	osgwidgetlabel.1 \
	osgwidgetmenu.1 \
	osgwidgetmessagebox.1 \
	osgwidgetnotebook.1 \
	osgwidgetperformance.1 \
	osgwidgetscrolled.1 \
	osgwidgetshader.1 \
	osgwidgetstyled.1 \
	osgwidgettable.1 \
	osgwidgetwindow.1 \
	osgwindows.1 \
	osgQtBrowser.1 \
	osgQtWidgets.1 \
	osganalysis.1 \
	osganimationeasemotion.1 \
	osganimationmorph.1 \
	osgdatabaserevisions.1 \
	osgfpdepth.1 \
	osggpx.1 \
	osggraphicscost.1 \
	osgmultiviewpaging.1 \
	osgoit.1 \
	osgoutline.1 \
	osgparticleshader.1 \
	osgposter.1 \
	osgqfont.1 \
	osgshadercomposition.1 \
	osgshadergen.1 \
	osgtexturecompression.1 \
	osgthreadedterrain.1 \
	osguniformbuffer.1 \
	osguserstats.1 \
	osgvertexattributes.1 \
	osgviewerGTK.1 \
	osgviewerQtContext.1 \
	osgviewerSDL.1 \
	osgvirtualprogram.1 \
	present3D.1 \
	osguserdata.1 \
	osgviewerQt.1 \
	osgviewerWX.1 \
	osgatomiccounter.1 \
	osgcomputeshaders.1 \
	osgframerenderer.1 \
	osgkeystone.1 \
	osgmultiplemovies.1 \
	osgmultitouch.1 \
	osgoscdevice.1 \
	osgsimplegl3.1 \
	osgsimpleshaders.1 \
	osgtessellationshaders.1 \
	osgSSBO.1 \
	osgblenddrawbuffers.1 \

=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg\d+// \
  http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-([\d\.]*)/source/OpenSceneGraph-([\d\.]*)\.zip

## openscenegraph-3.4 3.4.0+dfsg1

=== debian/changelog ===
openscenegraph-3.4 (3.4.0+dfsg1-4ubuntu1) artful; urgency=medium

  * Fix armhf build with current cmake.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Jul 2017 14:47:47 -0700

openscenegraph-3.4 (3.4.0+dfsg1-4build2) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:35:16 +0200

openscenegraph-3.4 (3.4.0+dfsg1-4build1) zesty; urgency=medium

  * No-change rebuild against latest gdal

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Nov 2016 18:10:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openscenegraph-3.4
 Section: devel
 Priority: optional
-Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Loic Dachary (OuoU) <loic@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                dpkg-dev (>= 1.16.1~),

=== debian/rules ===
--- 
+++ 
@@ -65,8 +65,6 @@
 LDFLAGS += -Wl,--as-needed
 
 ifeq (armhf,$(DEB_HOST_ARCH))
-EGL_LDFLAGS=$(shell pkg-config egl --libs)
-OPENGLES_LDFLAGS=$(shell pkg-config glesv2 --libs)
 ARMHF_DEFINES=-D OSG_GL1_AVAILABLE:BOOL=OFF \
 	-D OSG_GL2_AVAILABLE:BOOL=OFF \
 	-D OSG_GL3_AVAILABLE:BOOL=OFF \
@@ -78,8 +76,8 @@
 	-D OSG_GL_VERTEX_ARRAY_FUNCS_AVAILABLE:BOOL=OFF \
 	-D OSG_GL_FIXED_FUNCTION_AVAILABLE:BOOL=OFF \
 	-D OSG_CPP_EXCEPTIONS_AVAILABLE:BOOL=OFF \
-	-D OPENGL_gl_LIBRARY:STRING="${OPENGLES_LDFLAGS}" \
-	-D OPENGL_egl_LIBRARY:STRING="${EGL_LDFLAGS}"
+        -D OPENGL_gl_LIBRARY:STRING=/usr/lib/arm-linux-gnueabihf/libGLESv2.so \
+        -D OPENGL_egl_LIBRARY:STRING=/usr/lib/arm-linux-gnueabihf/libEGL.so
 endif
 
 #
@@ -371,3 +369,5 @@
 	osgtessellationshaders.1 \
 	osgSSBO.1 \
 	osgblenddrawbuffers.1 \
+	osggpucull.1 \
+	osgtexture2DArray.1 \

## openscenegraph-3.4 3.4.1%2Bdfsg1

=== debian/changelog ===
openscenegraph-3.4 (3.4.1+dfsg1-5) unstable; urgency=medium

  * Upgraded to latest coin library (Closes: #918281, #912867).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 07 Jan 2019 18:35:11 +0100

openscenegraph-3.4 (3.4.1+dfsg1-4) unstable; urgency=medium

  * debian/control: Updated Vcs-* fields.
  * Update and fix debian/watch.
  * Avoid depending on g++ and dpkg-dev since the policy says packages in
    build-essential have to be already installed in a building system.
  [ Bret Curtis ]
  * Support for Collada/DAE 1.4, 1.4.1 and 1.5.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Wed, 05 Sep 2018 21:56:37 +0200

openscenegraph-3.4 (3.4.1+dfsg1-3) unstable; urgency=medium

  * Generate man pages for applications with help2man.
  * Updated policy to 4.1.3.  No changes required.
  * Full revamp of debian/rules so it is easier to understand and maintain.
  * debian/{control,copyright} linting with "cme fix dpkg-*".
  * Requires debhelper >=9 since compat is 9.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 08 Mar 2018 13:01:10 +0100

openscenegraph-3.4 (3.4.1+dfsg1-2) unstable; urgency=medium

  * Fixed library paths for GLESv2 on armel. (Closes: #845054)
    Thanks to Adrian Bunk.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 06 Nov 2017 12:49:55 +0100

openscenegraph-3.4 (3.4.1+dfsg1-1) unstable; urgency=medium

  [ Alberto Luaces Fernández ]
  * New upstream version 3.4.1
  * Refresh and remove now-unused patches.
  * Update compat to 9 and Debian Policy to 4.1.0.  No changes required.
  * Fixes for building on armel.
    Thanks to Emilio Pozuelo Monfort (Closes: #845054)
  * Fix GLESv2 detection compatibility with cmake>=3.0.
    Thanks to Steve Langasek (Closes: #869742)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 23 Sep 2017 13:03:29 +0200
